Purge Visitors

The Purge Visitors API helps teams comply with end-user bulk data deletion requests mandated by laws like GDPR and CCPA. This endpoint will delete users and all related user data identified by a set of emails, visitor IDs, or user IDs.

Purge requests default to being processed 10 days after submission, however this delay can be configured via the delaySeconds parameter. The endpoint is limited to 100 visitor deletions per request.

One of email, userId, or visitorId parameter is required to identify the user for data deletion.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

At least one of “emails”, “visitorIds” or “userIds” needs to be non-empty in the request body. Only visitors that exist in the environment for which the API key is in the authorization header can be purged.

integer

Seconds to wait before starting visitor data purging. This can be used as a safety measure in case the request needs to be canceled.

emails
array of strings

List of emails for which visitor data will be purged.

emails
userIds
array of strings

List of user IDs (external user IDs) for which visitor data will be purged.

userIds
visitorIds
array of strings

List of visitor IDs for which visitor data will be purged.

visitorIds
Headers
string
required

Bearer 8abaf7cb-fake-fake-fake-c608317728bd

Responses

403

You may have an invalid or missing API key and you should check your authorization header. There is no message with this status code.

404

Not Found

429

Your application has made too many requests in too short a time.

500

Something went wrong on Sprig's side. These are very rare :)

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json